
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WSDL文件详解（转贴）下 / iVAN</title>

    <meta name="description" content="WSDL文件详解（转贴）下 详解 在本文寫作時,並無任何 SOAP 實作,能進行作業名稱的多載動作.這對使用 Java 的客戶端是很重要的,因為使用 Java 的伺服端所使用的介面,會利用 Java 的多載功能.但這對使用 COM 的客戶端倒無所謂,因為 COM 並不支援多載. &lt;binding&gt; 與 &lt;operation&gt; 元素Binding 區段是,指定通訊協定.序列化.與編碼的地方.若 Types.Messages.與 PortType 等區段負責抽象的資料內容,那麼 Binding 區段便負 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WSDL文件详解（转贴）下</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>详解</p>
<p>在本文寫作時，並無任何 SOAP 實作，能進行作業名稱的多載動作。這對使用 Java 的客戶端是很重要的，因為使用 Java 的伺服端所使用的介面，會利用 Java 的多載功能。但這對使用 COM 的客戶端倒無所謂，因為 COM 並不支援多載。</p>
<p>&lt;binding&gt; 與 &lt;operation&gt; 元素<br />Binding 區段是，指定通訊協定、序列化、與編碼的地方。若 Types、Messages、與 PortType 等區段負責抽象的資料內容，那麼 Binding 區段便負責處理資料傳輸的具體細節。Binding 區段負責使前三個區段的抽象具體化。</p>
<p>將繫結規格從資料與訊息宣告中分離出來的意義是，執行相同業務的服務提供者，可將一組作業 (portType) 標準化。若欲凸顯自身的差異，每個提供者可另外提供自訂繫結。讓 WSDL 擁有匯入 construct 是有好處的；因為如此一來，即可遠離 Bindings 與 Services 區段，將抽象定義置於自身的檔案中；並可將其散佈於服務提供者間，讓他們把抽象定義設定成標準。例如，銀行可標準化，一組抽象 WSDL 文件詳盡說明的銀行作業。但每家銀行還是可以自由地，「自訂」基礎通訊協定、序列最佳化、與編碼。</p>
<p>下列為 Binding 區段的 WSDL 多載範例，於此重複以方便詳細討論：</p>
<p>&lt;binding name="fooSampleBinding" type="wsdlns:fooSamplePortType"&gt;<br />&lt;stk:binding preferredEncoding="UTF-8" /&gt;<br />&lt;soap:binding style="rpc" <br />transport="http://schemas.xmlsoap.org/soap/http"/&gt;<br />&lt;operation name="foo"&gt;<br />&lt;soap:operation soapAction="http://tempuri.org/action/foo1"/&gt;<br />&lt;input name="foo1"&gt;<br />&lt;soap:body use="encoded" <br />namespace="http://tempuri.org/message/" <br />encodingStyle=<br />"http://schemas.xmlsoap.org/soap/encoding/" /&gt;<br />&lt;/input&gt;<br />&lt;/operation&gt;<br />&lt;operation name="foo"&gt;<br />&lt;soap:operation soapAction="http://tempuri.org/action/foo2"/&gt;<br />&lt;input name="foo2"&gt;<br />&lt;soap:body use="encoded" <br />namespace="http://tempuri.org/message/" <br />encodingStyle=<br />"http://schemas.xmlsoap.org/soap/encoding/" /&gt;<br />&lt;/input&gt;<br />&lt;/operation&gt;<br />&lt;/binding&gt;</p>
<p>&lt;binding&gt; 元素會有個名稱 (本例中為「fooSampleBinding」)，以方便 Services 區段的 &lt;port&gt; 元素參照。它有個參照 &lt;portType&gt; 的「type」屬性，在本例中為「wsdlns:fooSamplePortType」。第二行是 MSTK2 擴充元素 &lt;stk:binding&gt;，它可指定 preferredEncoding，或稱「UTF-8」。</p>
<p>&lt;soap:binding&gt; 元素可指定，使用的樣式 (rpc) 與傳輸。傳輸屬性會參照命名空間，以確定所使用的 HTTP SOAP 通訊協定。</p>
<p>有兩個 &lt;operation&gt; 元素具有相同的名稱「foo」。這兩個作業不同之處在於，兩個不同的 &lt;input&gt; 名稱：「foo1」與「foo2」。在兩個 &lt;operation&gt; 元素中，&lt;soap:operation&gt; 元素的「soapAction」屬性皆相同，都是一個 URI。soapAction 屬性是 SOAP 專屬的 URI，並逐字依 SOAP 訊息使用。以此方式取得的 SOAP 訊息，會有個 SOAPAction 標頭；而且還會以 &lt;soap:operation&gt; 元素中的 URI 為其值。雖然 HTTP 繫結需要 soapAction 屬性，但非 HTTP 繫結則不用。本文刊出時，其用途仍然不明。就本範例而言，它似乎可用來區別兩個不同的「foo」作業。SOAP 1.1 宣稱，soapAction 可用來識別訊息的「目的 (intent)」。它更建議伺服端，可用此屬性路由訊息，而不用剖析整個訊息。實務上，其用途差異很大。&lt;soap:operation&gt; 元素也可以含另一個名為「style」的屬性；若特定作業需要覆寫 &lt;soap:binding&gt; 元素中所指定的樣式，則可使用此屬性。</p>
<p>&lt;operation&gt; 元素所含的 &lt;input&gt;、&lt;output&gt;、與 &lt;fault&gt; 元素，可對應 PortTypes 區段的相同元素。在上例中出現的只有 &lt;input&gt; 元素。在本例中，這三個元素都各有一個選擇性的「name」屬性，可用以區別名稱相同的作業。在範例的 &lt;input&gt; 元素中，有個 &lt;soap:body&gt; 元素，它可指定輸入結果 SOAP 訊息之 &lt;body&gt; 的內容。此元素有下列屬性：</p>
<p>Use<br />它是用以指定資料採「編碼 (encoded)」或「常值 (literal)」。「常值」的意義是，結果 SOAP 訊息所含資料的格式，完全依照抽象定義 (Types、Messages、與 PortTypes 區段) 的指定規格 。「編碼」的意義是，「encodingStyle」屬性 (參考下文) 會指定編碼方式。 <br />Namespace<br />每個 SOAP 訊息的主體，都有自己的命名空間，以防止名稱衝突。此屬性所指定的 URI，會逐字使用於結果 SOAP 訊息之中。 <br />EncodingStyle<br />以 SOAP 的編碼方式而言，URI 的值應該是「http://schemas.xmlsoap.org/soap/encoding」。 <br />文件樣式繫結<br />在上一區段中，&lt;soap:binding&gt; 元素有個類型屬性被設定成「rpc」。若將此屬性設定成「document」，即可改變訊息在線上的排序。此時這些訊息便成了文件傳輸，而不再是函數簽章。在此繫結類型中，&lt;message&gt; 元素是定義文件格式，而非函數簽章。請參考下例中的 WSDL 片段：</p>
<p>&lt;definitions<br />xmlns:stns="(SchemaTNS)"<br />xmlns:wtns="(WsdlTNS)"<br />targetNamespace="(WsdlTNS)"&gt;</p>
<p>&lt;schema targetNamespace="(SchemaTNS)"<br />elementFormDefault="qualified"&gt;<br />&lt;element name="SimpleElement" type="xsd:int"/&gt;<br />&lt;element name="CompositElement" type="stns:CompositeType"/&gt;<br />&lt;complexType name="CompositeType"&gt;<br />&lt;all&gt;<br />&lt;element name='a' type="xsd:int"/&gt;<br />&lt;element name='b' type="xsd:string"/&gt;<br />&lt;/all&gt;<br />&lt;/complexType&gt;<br />&lt;/schema&gt;</p>
<p>&lt;message...&gt;<br />&lt;part name='p1' type="stns:CompositeType"/&gt;<br />&lt;part name='p2' type="xsd:int"/&gt;<br />&lt;part name='p3' element="stns:SimpleElement"/&gt;<br />&lt;part name='p4' element="stns:CompositeElement"/&gt;<br />&lt;/message&gt;<br />?&lt;/definitions&gt;</p>
<p>此結構描述有 SimpleElement 與 CompositeElement 兩個元素，以及一個宣告類型 (CompositeType)。所宣告的唯一 &lt;message&gt; 元素有四個部分 (part)：p1 是 CompositeType 類型；p2 是 int 類型；p3 是 SimpleElement；而 p4 是 CompositeElement。下表是四種繫結的比較，依照「使用/類型」分別為：rpc/literal、document/literal、rpc/encoded、與 document/encoded。本表可說明，每種繫結方式反映在線上的實際情況。</p>
<p>rpc / literal<br />&lt;operation name="method1" style="rpc" ...&gt;<br />&lt;input&gt;<br />&lt;soap:body parts="p1 p2 p3 p4" <br />use="literal"<br />namespace="(MessageNS)"/&gt;<br />&lt;/input&gt;<br />&lt;/operation&gt;</p>
<p>線上情形：<br />&lt;soapenv:body... xmlns:mns="(MessageNS)"<br />xmlns:stns="(SchemaTNS)"&gt;<br />&lt;mns:method1&gt;<br />&lt;mns:p1&gt;<br />&lt;stns:a&gt;123&lt;/stns:a&gt;<br />&lt;stns:b&gt;hello&lt;/stns:b&gt;<br />&lt;/mns:p1&gt;<br />&lt;mns:p2&gt;123&lt;/mns:p2&gt;<br />&lt;mns:p3&gt;</p>
<p>&lt;stns:SimpleElement&gt;</p>
<p>123</p>
<p>&lt;/stns:SimpleElement&gt;<br />&lt;/mns:p3&gt;<br />&lt;mns:p4&gt;<br />&lt;stns:CompositeElement&gt;<br />&lt;stns:a&gt;123&lt;/stns:a&gt;<br />&lt;stns:b&gt;hello&lt;/stns:b&gt;<br />&lt;/stns:CompositeElement&gt;<br />&lt;/mns:p4&gt;<br />&lt;/mns:method1&gt;<br />&lt;/soapenv:body&gt;<br />document / literal / type=<br />&lt;operation name="method1" <br />style="document" ...&gt;<br />&lt;input&gt;<br />&lt;soap:body parts="p1" use="literal"&gt;<br />&lt;/input&gt;<br />&lt;/operation&gt;</p>
<p>線上情形：</p>
<p>&lt;soapenv:body... xmlns:stns="(SchemaTNS)"&gt;<br />&lt;stns:a&gt;123&lt;/stns:a&gt;<br />&lt;stns:b&gt;hello&lt;/stns:b&gt;<br />&lt;/soapenv:body&gt;</p>
<p>rpc / encoded <br />&lt;operation name="method1" style="rpc" ...&gt;<br />&lt;input&gt;<br />&lt;soap:body parts="p1 p2" use="encoded" <br />encoding= <br />"http://schemas.xmlsoap.org/soap/encoding/"<br />namespace="(MessageNS)"/&gt;<br />&lt;/input&gt;<br />&lt;/operation&gt;</p>
<p>線上情形：<br />&lt;soapenv:body... xmlns:mns="(MessageNS)"&gt;<br />&lt;mns:method1&gt;<br />&lt;p1 TARGET="_self" HREF="#1"/&gt;<br />&lt;p2&gt;123&lt;/p2&gt;<br />&lt;/mns:method1&gt;<br />&lt;mns:CompositeType id="#1"&gt;<br />&lt;a&gt;123&lt;/a&gt;<br />&lt;b&gt;hello&lt;/b&gt;<br />&lt;/mns:CompositeType&gt;<br />&lt;/soapenv:body&gt;<br />document / literal / element=<br />&lt;operation name="method1" <br />style="document" ...&gt;<br />&lt;input&gt;<br />&lt;soap:body parts="p3 p4"</p>
<p>use="literal"&gt;<br />&lt;/input&gt;<br />&lt;/operation&gt;</p>
<p>線上情形：</p>
<p>&lt;soapenv:body... xmlns:stns="(SchemaTNS)"&gt;<br />&lt;stns:SimpleElement&gt;</p>
<p>123</p>
<p>&lt;/stns:SimpleElement&gt;<br />&lt;stns:CompositeElement&gt;<br />&lt;stns:a&gt;123&lt;/stns:a&gt;<br />&lt;stns:b&gt;hello&lt;/stns:b&gt;<br />&lt;/stns:CompositeElement&gt;<br />&lt;/soapenv:body&gt;</p>
<p>document / encoded<br />&lt;operation name="method1" <br />style="document" ...&gt;<br />&lt;input&gt;<br />&lt;soap:body parts="p1 p2" use="encoded" <br />encoding=</p>
<p>"http://schemas.xmlsoap.org/soap/encoding/"<br />namespace="(MessageNS)"/&gt;<br />&lt;/input&gt;<br />&lt;/operation&gt;</p>
<p>線上情形：<br />&lt;soapenv:body... xmlns:mns="(MessageNS)"&gt;<br />&lt;mns:CompositeType&gt;<br />&lt;a&gt;123&lt;/a&gt;<br />&lt;b&gt;hello&lt;/b&gt;<br />&lt;/mns:CompositeType&gt;<br />&lt;soapenc:int&gt;123&lt;/soapenc:int&gt;<br />&lt;/soapenv:body&gt;</p>
<p>&lt;service&gt; 與 &lt;port&gt; 元素<br />服務即是一組 &lt;port&gt; 元素。每個 &lt;port&gt; 元素，都以一對一的方式，關連一個位置與 &lt;binding&gt;。若有一個以上的 &lt;port&gt; 元素，與相同的 &lt;binding&gt; 關連，便可以使用其它 URL 作為替換。</p>
<p>在 WSDL 文件中，可以有一個以上的 &lt;service&gt; 元素。多個 &lt;service&gt; 元素，可以有許多用途。其中之一便是，根據 URL 的目的地，將傳輸埠群組化。因此，我只要使用另一個 &lt;service&gt;，就可以重新導向所有股票報價要求；而且我的客戶端程式依然可以正常運作，這是因為在這類的服務群組化中，通訊協定完全不會更動其它的服務。多個 &lt;service&gt; 服務的另一個用途是為了，根據基礎通訊協定，對傳輸埠進行分類。例如，可將所有的 HTTP 傳輸埠，置於一個 &lt;service&gt;；所有的 SMTP 傳輸埠置於另一個 &lt;service&gt;。客戶端便可根據它能處理的通訊協定，搜尋相對的 &lt;service&gt;。</p>
<p>&lt;service name="FOOService"&gt;<br />&lt;port name="fooSamplePort" binding="fooSampleBinding"&gt;<br />&lt;soap:address <br />location="http://carlos:8080/fooService/foo.asp"/&gt;<br />&lt;/port&gt;<br />&lt;/service&gt;</p>
<p>在一份 WSDL 文件中，&lt;service&gt; 的「name」屬性，可區分出個別服務的不同。因為一個服務可能會有幾個傳輸埠，所以傳輸埠也必須有「name」屬性。</p>
<p>總結<br />本文已經說明了 WSDL 文件最顯著的 SOAP 特色。但應該聲明的是，WSDL 絕不僅只能在 HTTP 上說明 SOAP 而已。在說明 SOAP 上，WSDL 的表達能力絕對足以使用 HTTP-POST、HTTP-GET、SMTP、與其它通訊協定。只要使用 WSDL，不論是程式開發人員或一般使用者，都可輕鬆處理 SOAP。個人深信，WSDL 與 SOAP 的結合，將可引進全新的應用程式類別，以更徹底地利用各種網路服務。</p>
<p>在 WSDL 的命名空間，有各種 XML 元素。下表整理了這些元素、屬性、與內容，以供參考：</p>
<p>元素 屬性 內容 (子項) <br />&lt;definitions&gt; name<br />targetNamespace<br />xmlns (其它命名空間) &lt;types&gt;<br />&lt;message&gt;<br />&lt;portType&gt;<br />&lt;binding&gt;<br />&lt;service&gt; <br />&lt;types&gt; (無) &lt;xsd:schema&gt; <br />&lt;message&gt; name &lt;part&gt; <br />&lt;portType&gt; name &lt;operation&gt; <br />&lt;binding&gt; name<br />type &lt;operation&gt; <br />&lt;service&gt; name &lt;port&gt; <br />&lt;part&gt; name<br />type (空值) <br />&lt;operation&gt; name<br />parameterOrder &lt;input&gt;<br />&lt;output&gt;<br />&lt;fault&gt; <br />&lt;input&gt; name<br />message (空值) <br />&lt;output&gt; name<br />message (空值) <br />&lt;fault&gt; name</p>
<p>message (空值) <br />&lt;port&gt; name<br />binding &lt;soap:address&gt;</p>
<p>資源：<br />WSDL 1.1 <br />SOAP 1.1 <br />XML 結構描述入門 <br />MS SOAP Toolkit 下載網站 <br />IDL 至 WSDL 的轉譯工具 <br />含 WSDL 至 VB 之 Proxy 產生器的免費網路資源 <br />PocketSOAP：SOAP 之相關元件、工具、與原始程式碼</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 12:11:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e6%8a%bd%e8%b1%a1/" title="抽象">抽象</a>, <a href="https://www.iamivan.net/tag/%e7%9b%b8%e5%90%8c/" title="相同">相同</a>, <a href="https://www.iamivan.net/tag/wsdl/" title="wsdl">wsdl</a>, <a href="https://www.iamivan.net/tag/soap/" title="soap">soap</a>, <a href="https://www.iamivan.net/tag/%e6%ad%a3%e5%89%87%e8%a1%a8%e9%81%94%e5%bc%8f/" title="正則表達式">正則表達式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WSDL文件详解（转贴）下的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnWvAz.html" rel="bookmark">WSDL文件详解（转贴）中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解 WSDL 類型與訊息區段中的 XML 結構描述WSDL 的資料類型,是根據目前 W3C Recommendation 的「XML Schema: Datatypes」(XSD).此文件共有三種不同的版本 (1999.2000/10.與 2001),若欲指定特定 WSDL 檔案所使用的版本,請在 &lt;definitions&gt; 元素中,將其宣告為命名空間的屬性.方法如下: xmlns:xsd=&quot;http://www.w3.org/2001/XMLSchema&quot; 本文僅以 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl9ERp.html" rel="bookmark">WSDL文件详解&lpar;转贴）上</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解 作者:Carlos C. TapangInfotects 2001 年 7 月 摘要:只要使用 WSDL,即可以真正不受語言與平台限制的方式,自動為網路服務產生 Proxy.(列印共 28 頁) 內容使用 WSDL 的原因WSDL 文件結構WSDL 範例檔案命名空間SOAP 訊息WSDL 類型與訊息區段中的 XML 結構描述&lt;portType&gt; 與 &lt;operation&gt; 元素&lt;binding&gt; 與 &lt;operation&gt; 元素文件樣式繫結&lt;se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1BWQjp.html" rel="bookmark">linux系统下hosts文件详解及配置&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				hosts文件 hosts -- the static table lookup for host name(主机名查询静态表). hosts文件是Linux系统上一个负责ip地址与域名快速解析的文件,以ascii格式保存在/etc/目录下.hosts文件包含了ip地址与主机名之间的映射,还包括主机的别名.在没有域名解析服务器的情况下,系统上的所有网络程序都通过查询该文件来解析对应于某个主机名的ip地址,否则就需要使用dns服务程序来解决.通过可以将常用的域名和ip地址映射加入到hosts文件中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE3w7b.html" rel="bookmark">MySQL日志文件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了MySQL日志文件详解,本文分别讲解了错误日志.二进制日志.通用查询日志.慢查询日志.Innodb的在线redo日志.更新日志等日志类型和作用介绍,需要的朋友可以参考下 概述 日志文件是MySQL数据库的重要组成部分.MySQL有几种不同的日志文件,通常包括错误日志文件,二进制日志,通用日志,慢查询日志,等等.这些日志可以帮助我们定位mysqld内部发生的事件,数据库性能故障,记录数据的变更历史,用户恢复数据库等等.本文主要描述MySQL的各种日志文件. MySQL日志文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4wXwp.html" rel="bookmark">Python中使用不同编码读写txt文件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中使用不同编码读写txt文件详解,本文给出不同编码下的读写文件代码方法,需要的朋友可以参考下 代码如下: import os import codecs filenames=os.listdir(os.getcwd()) out=file(&quot;name.txt&quot;,&quot;w&quot;) for filename in filenames: out.write(filename.decode(&quot;gb2312&quot;).encode(&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0PYyp.html" rel="bookmark">Windows CE系统开发&comma;BSP包中的几个常见文件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows CE系统开发,BSP包中的几个常见文件详解 BSP介绍(Board Support Package)是介于底层硬件和上层软件之间的底层软件开发包,它主要功能为屏蔽硬件,提供操作系统及硬件驱动,具体功能包括: (1)      单板硬件初始化,主要是CPU的初始化,为整个软件系统提供底层硬件支持: (2)      为操作系统提供设备驱动程序和系统中断服务程序: (3)      定制操作系统的功能,为软件系统提供一个实时多任务的运行环境: (4)      初始化操作系统,为操作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqV1jZp.html" rel="bookmark">Android 中Manifest&period;xml文件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 中Manifest.xml文件详解 每一个Android项目都包含一个清单(Manifest)文件--AndroidManifest.xml,它存储在项目层次中的最底层.清单可以定义应用程序及其组件的结构和元数据. 它包含了组成应用程序的每一个组件(活动.服务.内容提供器和广播接收器)的节点,并使用Intent过滤器和权限来确定这些组件之间以及这些组件和其他应用程序是如何交互的. 它还提供了各种属性来详细地说明应用程序的元数据(如它的图标或者主题)以及额外的可用来进行安全设置和单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p56JaWz.html" rel="bookmark">Android init&period;rc文件详解及简单实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android init.rc文件详解 本文主要来自$ANDROID_SOURCE/system/init/readme.txt的翻译. 1 简述 Android init.rc文件由系统第一个启动的init程序解析,此文件由语句组成,主要包含了四种类型的语句:Action,Commands,Services,Options.在init.rc文件中一条语句通常是占据一行.单词之间是通过空格符来相隔的.如果需要在单词内使用空格,那么得使用转义字符&quot;\&quot;,如果在一行的末尾有一个反斜杠,那么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyNKdb.html" rel="bookmark">Android的Manifest文件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Manifest可以定义应用程序及其组件和需求的结构和元数组. Android的文档: http://developer.android.com/guide/topics/manifest/manifest-element.html Hello_World, AndroidManifest.xml : &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;manifest xmlns:android=&quot;http:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyRdpN.html" rel="bookmark" class="title">【物联网】QCA4010开发环境搭建（二）（解决WIN10下不能驱动问题）</a>
					<div>
						更多资料,请参考:中电港论坛 http://bbs.cecport.com/forum.php?mod=forumdisplay&amp;fid=64&amp;page=1 感谢中电港,低价QCA40 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX0Jjp.html" rel="bookmark" class="title">photoshop制作漂亮的3d文字壁纸教程</a>
					<div>
						photoshop制作漂亮的3d文字壁纸教程,在本教程中大家将学习到如何用PS创建多彩的3D文字效果. 在本教程中大家将学习到如何用PS创建多彩的3D文字效果.(这个教程不是特别完美 大家凑活着读吧) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD4R6z.html" rel="bookmark" class="title">再做新站感悟：友情链接的那点事</a>
					<div>
						本来我一直当自己是老站长了,但最近做了个钓鱼方面的新站:钓鱼啦,所以又仿佛做了回新站长,把友做情链接这样恼人的事又给体验了一遍,有感而发在这里谈谈.新站友情链接的话题恐怕不少,我在这里结合具体的经历来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJQaVp.html" rel="bookmark" class="title">关于SEO 关于狼雨 我们不应该质疑别人的长处</a>
					<div>
						近期有关于&quot;ly&quot;的讨论多只甚多,可见ly现在以成为SEO里的焦点,有支持的,有骂的,但是终归来讲我们共同的目标还是搞好SEO搞好排名! 我首先声明,我并不是什么托,因为在SEO里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj79DNM.html" rel="bookmark" class="title">Java字符串分割</a>
					<div>
						1. java.lang.String 的 split() 方法, JDK 1.4 or later split public String[] split(String regex, int lim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RKgjp.html" rel="bookmark" class="title">Win32&period;Troj&period;Small&period;ab病毒是什么</a>
					<div>
						  Win32.Troj.Small.ab这是一个木马下载器,用于下载并执行木马.影响系统有Win9x / WinNT. 病毒别名:Trojan-Downloader.Win32.Small.abt[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLlROb.html" rel="bookmark" class="title">获取Linux命令帮助的六种方法</a>
					<div>
						  一 .help Command 适用于内部命令 举例: 代码如下: # type cd cd is a shell builtin # help cd # type ls ls is aliase ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2PDrp.html" rel="bookmark" class="title">excel如何分页打印</a>
					<div>
						  1.首先需要点击&quot;视图&quot;,然后需要点击分页&quot;预览&quot;.然后会进入&quot;分页预览&quot;界面. 2.鼠标选中单元格单击右键,然后点击插入&quot;分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo70ddb.html" rel="bookmark" class="title">电脑显卡的作用</a>
					<div>
						可能您不知道,显卡全称显示接口卡(Video card,Graphics card),又称为显示适配器(Video adapter),显示器配置卡简称为显卡,是个人电脑最基本组成部分之一.显卡的用途是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaQakz.html" rel="bookmark" class="title">无极影音播放器应用</a>
					<div>
						  无极影音播放器是一款拥有大量网络电视与在线视频资源的视频软件.用户可以可以在线享受丰富多彩的直播和点播节目.与其他软件相比,无极影音完全免费,是广受是网民喜爱的软件.下面我们就来详细了解一下. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Eqe8M.html" rel="bookmark" class="title">全新Windows 8&period;1或6月发布</a>
					<div>
						今早的时候,微软为大家带来即将到来的Windows 8更新--Windows 8.1的一瞥.除了被无视的&quot;开始&quot;按钮,微软还透露了相对于Win8的其它改进--诸如照片.邮件.Sky ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn77GKz.html" rel="bookmark" class="title">这段代码哪里错了，一直在报错</a>
					<div>
						问题描述 这段代码哪里错了,一直在报错 Date t = new Date(); long l = t.getTime(); Timestamp time = new Timestamp(l); Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6ZJqM.html" rel="bookmark" class="title">急求，散分一百，在线等，如何获取SESSION？</a>
					<div>
						问题描述 一个请求,调用了类A,A又调用B,B又调用C.最后被调用的假设是Z的一个方法.我如何在Z的方法中,获取到session呢?前提是,Z的这个方法没有REQUEST参数,而且也不可能加上了.有办 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw2wLM.html" rel="bookmark" class="title">Java循环：想说爱你不容易</a>
					<div>
						http://www.cnblogs.com/davelet/archive/2011/12/08/2280631.html 答案: 1.  double i = Double.MAX_VALUE;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwZ2QM.html" rel="bookmark" class="title">Netty 实现聊天功能</a>
					<div>
						Netty 是一个 Java NIO 客户端服务器框架,使用它可以快速简单地开发网络应用程序,比如服务器和客户端的协议.Netty 大大简化了网络程序的开发过程比如 TCP 和 UDP 的 socke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32P73z.html" rel="bookmark" class="title">教大家如何让网站更难被入侵</a>
					<div>
						摘要: 360最新发布的&lt;2013中国高校网站安全检测报告&gt;称,中国每个高校网站平均每天被黑客攻击113次(包含扫描等行为),其中被攻击最多的网站最高可达每日上万次.据了解,这份报告数据  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQERNp.html" rel="bookmark" class="title">6410 安卓开发板 录音-6410开发板上跑Android 2&period;1 ，录音出现问题，求大神指点</a>
					<div>
						问题描述 6410开发板上跑Android 2.1 ,录音出现问题,求大神指点 我在6410的开发板上运行 Android 2.1,写了个程序 ,想要进行录音.代码 如下:mediaRecorder  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY52O9M.html" rel="bookmark" class="title">关于数组赋值的问题</a>
					<div>
						问题描述 classesitem{intitemcode;decimalquty;}classquest{esitemesitems[];}如何将esitem赋值个esitems[],esitems[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydOGPb.html" rel="bookmark" class="title">OpenPOWER全开放式深度合作引领国内IT新式变革</a>
					<div>
						2013 年开放组织OpenPOWER 基金会正式成立,经过近3年的快速发展,OpenPOWER基金会的成员已经发展到200+,其中包括近30家中国企业.在中国,以这30家企业为核心,聚集了数百家国内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydQoPb.html" rel="bookmark" class="title">Android 开发者如何函数式编程 （一）</a>
					<div>
						本文讲的是Android 开发者如何函数式编程 (一), 最近我花了一些时间学习 Elixir -- 一门极好的编程语言,适合初学者入门学习. 我在想,为什么我们不在 Android 开发中使用函数式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBym8M.html" rel="bookmark" class="title">众安保险&OpenCurlyDoubleQuote;众乐宝&mdash;保证金计划&rdquo;推出</a>
					<div>
						&quot;三马&quot;发起成立的互联网保险公司众安保险的第一款产品今天正式上线.该产品是针对淘宝卖家的履约保证保险,名为&quot;众乐宝-保证金计划&quot;(下简称:众乐宝).众乐宝11月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBlkQM.html" rel="bookmark" class="title">求助：java程序在MyEclipse中无法与mysql进行连接</a>
					<div>
						问题描述 如题,编译的时候老是提示[microsoft][ODBC驱动程序管理器]未发现数据源名称并且为指定默认驱动程序.按照网上的方法操作了,还是不行,请大家指教一下,方便的话可以加我QQ12271 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b222OZb.html" rel="bookmark" class="title">Java核心技术卷I基础知识3&period;9　大数值</a>
					<div>
						3.9 大数值 如果基本的整数和浮点数精度不能够满足需求,那么可以使用java.math包中的两个很有用的类:BigInteger和BigDecimal.这两个类可以处理包含任意长度数字序列的数值.B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRZdjp.html" rel="bookmark" class="title">对对碰的项目随机问题</a>
					<div>
						问题描述 我要做一个对对碰的项目,在实现随机这个功能里卡住了.我是把15个值放在Imagelist集合里的卅我要随机每个值出现两次当用户单击到两个相同的值时就配对成功呀这个随机出现两次怎么做啊,求高手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmE1dz.html" rel="bookmark" class="title">单点登陆如何使各个网站中的相同用户同时过期</a>
					<div>
						问题描述 单点登陆如何使各个系统中的相同用户同时过期现在在跨域的三个网站之间用ticket方式做单点登录单点登录服务器如何感知登陆用户是否活跃,某用户在一个网站过期,如何通知单点登录服务器ticket ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv33yM.html" rel="bookmark" class="title">Android中Bitmap用法实例分析&lowbar;Android</a>
					<div>
						本文实例讲述了Android中Bitmap用法.分享给大家供大家参考,具体如下: 一般在android程序中把图片文件放在res/drawable目录下就可以通过R.drawable.id来使用,但在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYBOZb.html" rel="bookmark" class="title">工信部注销5家企业的《跨地区增值电信业务经营许可证》</a>
					<div>
						今日,工业和信息化部发布&quot;关于注销5家企业&lt;跨地区增值电信业务经营许可证&gt;的通告&quot;.通告显示:这五家企业为北京市佳贝林科技有限公司.广州惠矽电子科技有限公司.北京掌映文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlARRqp.html" rel="bookmark" class="title">点击文字变为文本框，失去焦点则写文本框内容入库怎么实现？</a>
					<div>
						问题描述 新手无能为力了--比如说循环出来的多个div下的数据怎么能做到标题所说的功能?这纠结了半天啊--有哪位能给个例子什么的么? 解决方案 解决方案二:jQuery+ajax解决方案三:用正则读取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YwdJb.html" rel="bookmark" class="title">在FreeMarker做的网站代码下如何修改页面效果？</a>
					<div>
						问题描述 由于第一次接触这样的模型做的网站很多地方不懂~希望大大们帮忙解决下~我这边刚接到个FreeMarker做的网站经理叫修改下页面部位模块的位置可是这边又没有技术人员所以希望各位解决下~~熟悉的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YPn4z.html" rel="bookmark" class="title">图像标注-ImageCLEF2012图像自动标注数据库</a>
					<div>
						问题描述 ImageCLEF2012图像自动标注数据库 请问从哪里能下到ImageCLEF2012图像自动标注数据库.官网上有一个20000张图片的数据库.并且有描述信息.但是那个是句子描述的.我想现 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
